package com.example.jmastermind.Game;

import android.media.MediaPlayer;
import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;
import com.example.jmastermind.Events.PopupEvent;
import com.example.jmastermind.R;

public class Popup extends AlertDialog.Builder {
    private MediaPlayer mp;
    private AppCompatActivity context;
    private PopupEvent event;

    /**
     * Affiche la popup de fin de jeu.
     * @param context Le context.
     * @param options La liste des options (rejouer, ...).
     * @param isMulti Boolean pour savoir si oui ou non c'est le mode multi qui va etre lance.
     * @param tentative Le nombre de tentatives.
     * */
    public Popup(AppCompatActivity context, String[] options, Boolean isMulti, int... tentative) {
        super(context);
        this.context = context;
        this.setCancelable(false);

        if(tentative[0] > 0) {
            this.mp = MediaPlayer.create(this.context, R.raw.winningsong);
            this.mp.setLooping(true);
            this.mp.start();

            this.setTitle("Félicitation ! Vous avez gagner en : " + tentative[0] + " coup(s).");
        }  else {
            this.mp = MediaPlayer.create(this.context, R.raw.loosegamesong);
            this.mp.setLooping(true);
            this.mp.start();

            this.setTitle("Perdu !");
        }

        this.event = new PopupEvent(this.context, tentative[0], this.mp, isMulti);
        this.setItems(options, this.event);
    }
}
